# Genetic Algorithm and Ensemble Learning for Feature Selection

This project utilizes **genetic algorithms** and **ensemble learning** techniques to identify the optimal set of
features for predictive models. It combines the power of **evolutionary computation** with the robustness of ensemble
methods to improve model performance by selecting the best features from a dataset.

## Features

- Implements a **Genetic Algorithm (GA)** to explore the feature space.
- Integrates with popular ensemble learning models like **XGBoost** and **Random Forest**.
- Provides a flexible interface for customizing the GA parameters such as population size, number of generations, and
  mutation rate.
- Outputs the best feature set along with detailed performance metrics.

## Installation

Install the package using `pip`:

```bash
pip install feature_gen
```

